// copyright => http://www.jxml.com/mdsax/License.txt

package com.jxml.quick;
import org.xml.sax.*;
import java.io.*;

/**
 * Identifies a root object as a data model transformer.
 */
public interface QConverter
{
	/**
	 * Generates a sequence of SAX events.
	 * Called by Quick.convert and Quick.express.
	 * @param destination Destination for all generated SAX events.
	 */
    	public void eval(DocumentHandler destination)
		throws SAXException, IOException;

	public String getPUBLIC()
		throws SAXException, IOException;

	public String getSYSTEM()
		throws SAXException, IOException;

	public String getRootTag()
		throws SAXException, IOException;
}
